## RygelEnergyManagement

RygelEnergyManagement — Implementation of UPnP EnergyManagement service.

## Functions

RygelEnergyManagement * | rygel_energy_management_new ()

## Types and Values

#define | RYGEL_TYPE_ENERGY_MANAGEMENT
#define | RYGEL_ENERGY_MANAGEMENT_UPNP_ID
#define | RYGEL_ENERGY_MANAGEMENT_UPNP_TYPE
#define | RYGEL_ENERGY_MANAGEMENT_DESCRIPTION_PATH
struct | RygelEnergyManagement
struct | RygelEnergyManagementClass

## Object Hierarchy

        GObject
        ╰── GUPnPServiceInfo
            ╰── GUPnPService
                ╰── RygelEnergyManagement

## Description

## Functions

### rygel_energy_management_new ()

    RygelEnergyManagement *
    rygel_energy_management_new (void);

## Types and Values

### RYGEL_TYPE_ENERGY_MANAGEMENT

    #define RYGEL_TYPE_ENERGY_MANAGEMENT (rygel_energy_management_get_type ())

The type for RygelEnergyManagement.

### RYGEL_ENERGY_MANAGEMENT_UPNP_ID

    #define RYGEL_ENERGY_MANAGEMENT_UPNP_ID "urn:upnp-org:serviceId:EnergyManagement"

### RYGEL_ENERGY_MANAGEMENT_UPNP_TYPE

    #define RYGEL_ENERGY_MANAGEMENT_UPNP_TYPE "urn:schemas-upnp-org:service:EnergyManagement:1"

### RYGEL_ENERGY_MANAGEMENT_DESCRIPTION_PATH

    #define RYGEL_ENERGY_MANAGEMENT_DESCRIPTION_PATH "xml/EnergyManagement.xml"

### struct RygelEnergyManagement

    struct RygelEnergyManagement;

Implementation of UPnP EnergyManagement service.

### struct RygelEnergyManagementClass

    struct RygelEnergyManagementClass {
    	GUPnPServiceClass parent_class;
    };

The class structure for `RYGEL_TYPE_ENERGY_MANAGEMENT`. All the fields in this structure are private and should never be accessed directly.

#### Members